# Function onlyOnce

- onlyOnce<T>(fn, ...args): (() => void)

- #### Type Parameters

  - #### T extends []

  #### Parameters

  - ##### fn: ((...args) => any)

    - - (...args): any

      - #### Parameters

        - ##### `Rest` ...args: T

        #### Returns any

  - ##### `Rest` ...args: T

  #### Returns (() => void)

  - - (): void

    - #### Returns void

  - Defined in core/base/src/utils/misc.ts:10

Generated using TypeDoc